Bug 1550680 - Running metrics playbook for cleanup with Ansible 2.2.3 fails about field 'args' including invalid value
Summary: Running metrics playbook for cleanup with Ansible 2.2.3 fails about field 'ar...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.6.1
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.6.z
Assignee: John Sanda
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On:
Blocks: 1620234 1620236
TreeView+ depends on / blocked
 
Reported: 2018-03-01 19:00 UTC by Eric Jones
Modified: 2018-09-26 04:11 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1620234 1620236 (view as bug list)
Environment:
Last Closed: 2018-09-26 04:10:45 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2654 None None None 2018-09-26 04:11:05 UTC

Description Eric Jones 2018-03-01 19:00:51 UTC
Description of problem:
Running the openshift-metrics.yaml playbook with option -e openshift_metrics_install_metrics=False (per documentation [0]) fails with error message:
TASK [openshift_metrics : Adding metrics route information to metricsPublicURL]
task path: /usr/share/ansible/openshift-ansible/roles/openshift_metrics/tasks/update_master_config.yaml:2
fatal: [sl72osepmstr02.shawinc.com]: FAILED! => {
    "failed": true
}

MSG:

the field 'args' has an invalid value, which appears to include a variable that is undefined. The error was: hawkular-metrics.{{openshift_master_default_subdomain}}: 'openshift_master_default_subdomain' is undefined

The error appears to have been in '/usr/share/ansible/openshift-ansible/roles/openshift_metrics/tasks/update_master_config.yaml': line 2, column 3, but may
be elsewhere in the file depending on the exact syntax problem.

The offending line appears to be:

---
- name: Adding metrics route information to metricsPublicURL
  ^ here


Version-Release number of the following components:
rpm -qa | grep -ie ansible -ie openshift
openshift-ansible-lookup-plugins-3.6.173.0.96-1.git.0.2954b4a.el7.noarch
openshift-ansible-filter-plugins-3.6.173.0.96-1.git.0.2954b4a.el7.noarch
atomic-openshift-sdn-ovs-3.6.173.0.96-1.git.0.8f6ff22.el7.x86_64
ansible-2.2.3.0-1.el7.noarch
openshift-ansible-callback-plugins-3.6.173.0.96-1.git.0.2954b4a.el7.noarch
openshift-ansible-roles-3.6.173.0.96-1.git.0.2954b4a.el7.noarch
atomic-openshift-3.6.173.0.96-1.git.0.8f6ff22.el7.x86_64
openshift-ansible-3.6.173.0.96-1.git.0.2954b4a.el7.noarch
atomic-openshift-utils-3.6.173.0.96-1.git.0.2954b4a.el7.noarch
atomic-openshift-excluder-3.6.173.0.96-1.git.0.8f6ff22.el7.noarch
atomic-openshift-node-3.6.173.0.96-1.git.0.8f6ff22.el7.x86_64
atomic-openshift-master-3.6.173.0.96-1.git.0.8f6ff22.el7.x86_64
openshift-ansible-docs-3.6.173.0.96-1.git.0.2954b4a.el7.noarch
openshift-ansible-playbooks-3.6.173.0.96-1.git.0.2954b4a.el7.noarch
atomic-openshift-docker-excluder-3.6.173.0.96-1.git.0.8f6ff22.el7.noarch
atomic-openshift-clients-3.6.173.0.96-1.git.0.8f6ff22.el7.x86_64
tuned-profiles-atomic-openshift-node-3.6.173.0.96-1.git.0.8f6ff22.el7.x86_64

Additional info:
[0] https://docs.openshift.com/container-platform/3.6/install_config/cluster_metrics.html#metrics-cleanup
Please attach logs from ansible-playbook with the -vvv flag

Comment 2 John Sanda 2018-08-21 17:01:56 UTC
PR submitted https://github.com/openshift/openshift-ansible/pull/9701

Comment 4 Junqi Zhao 2018-09-10 09:04:30 UTC
need new openshift-ansible package to test, the current latest v3.6 openshift-ansible package openshift-ansible-3.6.173.0.129-1.git.0.38083b3.el7.noarch does not contain the fix.

Tested with the fix manually, issue is fixed, there is not error when uninstall metrics. Will close this defect when the openshift-ansible package contains the fix comes out.

ansible used: ansible-2.2.3.0-1.el7.noarch

Comment 5 Junqi Zhao 2018-09-13 02:07:44 UTC
Issue is fixed, there is not error when uninstall metrics.

ansible-2.2.3.0-1.el7.noarch
openshift-ansible-3.6.173.0.130-1.git.0.22ddff9.el7

Comment 7 errata-xmlrpc 2018-09-26 04:10:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2654


Note You need to log in before you can comment on or make changes to this bug.